## eximdoc4 4.93.0.3

=== doc-docbook/Makefile ===
# Make file for Exim documentation from xfpt source.

notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'html', 'txt', or 'info'."
	      @echo "** One other possible targets 'exim.8', 'spec.utf8'".
	      exit 1


############################# EVERYTHING ###############################
#
# Generate all the documentation files...
#
## removed info files as I cannot generate them -  spec.info filter.info
## removed html files as superseded by new website code
everything:		spec.pdf 	spec.ps  	spec.txt \
				filter.pdf 	filter.ps filter.txt \
				exim.8

############################## MAN PAGE ################################

exim.8:       spec.xml x2man
	      ./x2man

########################################################################

# .PHONY doesn't work here, because it forces a rebuild of all dependent
# targets, always. It sets the internal timestamp of its target to
# now().
# But it may happen that local_params does not change
FORCE:
local_params: FORCE GenLocalParams
	@set -e; \
	trap 'rm -f $$tmp' EXIT; \
	tmp=`mktemp`; \
	./GenLocalParams $$tmp; \
	cmp -s $@ $$tmp || mv -f $$tmp $@

############################### FILTER #################################

filter.xml:      local_params filter.xfpt
		 xfpt filter.xfpt

filter-pr.xml:   filter.xml Pre-xml
		 ./Pre-xml -bookinfo <filter.xml >filter-pr.xml

filter-txt.xml:  filter.xml Pre-xml
		 ./Pre-xml -ascii -html -quoteliteral <filter.xml >filter-txt.xml

filter-info.xml: filter.xml Pre-xml
		 ./Pre-xml -ascii -html <filter.xml >filter-info.xml

filter.fo:       filter-pr.xml MyStyle-filter-fo.xsl MyStyle-fo.xsl MyStyle.xsl
		 /bin/rm -rf filter.fo filter-pr.fo
		 xmlto -x MyStyle-filter-fo.xsl fo filter-pr.xml
		 /bin/mv -f filter-pr.fo filter.fo

# Do not use pdf2ps from the PDF version; better PS is generated directly.

###
### PS/PDF generation using fop
###

fop-filter.ps:   filter.fo
		 fop filter.fo -ps filter-tmp.ps
		 mv filter-tmp.ps filter.ps

# Do not use ps2pdf from the PS version; better PDF is generated directly. It
# contains cross links etc.

fop-filter.pdf:  filter.fo PageLabelPDF
		 fop filter.fo -pdf filter-tmp.pdf
		 ./PageLabelPDF 2 <filter-tmp.pdf >filter.pdf

###
### PS/PDF generation using SDoP
###

sdop-filter.ps:  filter-pr.xml
		 sdop -o filter.ps filter-pr.xml

sdop-filter.pdf: filter.ps
		 ps2pdf filter.ps filter.pdf

###
### PS/PDF default setting
###

filter.ps:  sdop-filter.ps

filter.pdf: sdop-filter.pdf

###
###

filter.txt:   filter-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                MyStyle.xsl
	      /bin/rm -rf filter-txt.html
	      xmlto -x MyStyle-txt-html.xsl html-nochunks filter-txt.xml
	      command -v w3m >/dev/null
	      LC_ALL=C w3m -dump filter-txt.html | ./Tidytxt >filter.txt
	      ./SanityTestText filter.txt

# I have not found a way of making docbook2texi write its output anywhere
# other than the file name that it makes up. The --to-stdout option does not
# work.

filter.info:  filter-info.xml
	      docbook2texi filter-info.xml
	      perl -ne 's/conceptindex/cindex/;s/optionindex/findex/;print;' \
		<exim_filtering.texi | ./Tidytxt >filter.texinfo
	      /bin/rm -rf exim_filtering.texi
	      makeinfo -o filter.info filter.texinfo

########################################################################


################################ SPEC ##################################

spec.xml:      spec.xfpt local_params
	       xfpt spec.xfpt

spec-pr.xml:   spec.xml Pre-xml
	       ./Pre-xml -optbreak <spec.xml >spec-pr.xml

spec-txt.xml:  spec.xml Pre-xml
	       ./Pre-xml -ascii -html -noindex -quoteliteral \
		 <spec.xml >spec-txt.xml

spec-info.xml: spec.xml Pre-xml
	       ./Pre-xml -ascii -html -noindex <spec.xml >spec-info.xml

spec.fo:       spec-pr.xml MyStyle-spec-fo.xsl MyStyle-fo.xsl MyStyle.xsl \
               MyTitleStyle.xsl
	       /bin/rm -rf spec.fo spec-pr.fo
	       xmlto -x MyStyle-spec-fo.xsl fo spec-pr.xml
	       /bin/mv -f spec-pr.fo spec.fo

###
### PS/PDF generation using fop
###

# Do not use pdf2ps from the PDF version; better PS is generated directly.

fop-spec.ps:  spec.fo
	      FOP_OPTS=-Xmx512m fop spec.fo -ps spec-tmp.ps
	      mv spec-tmp.ps spec.ps

# Do not use ps2pdf from the PS version; better PDF is generated directly. It
# contains cross links etc. We post-process it to add page label information
# so that the page identifiers shown by acroread are the correct page numbers.

fop-spec.pdf: spec.fo PageLabelPDF
	      FOP_OPTS=-Xmx512m fop spec.fo -pdf spec-tmp.pdf
	      ./PageLabelPDF 12 <spec-tmp.pdf >spec.pdf

###
### PS/PDF generation using SDoP
###

sdop-spec.ps:  spec-pr.xml
	       sdop -o spec.ps spec-pr.xml

sdop-spec.pdf: spec.ps
	       ps2pdf spec.ps spec.pdf

###
### PS/PDF default setting
###

spec.ps:  sdop-spec.ps

spec.pdf: sdop-spec.pdf

###
###

spec-txt.html:     spec-txt.xml \
		MyStyle-txt-html.xsl MyStyle-html.xsl MyStyle.xsl
	      xmlto -x MyStyle-txt-html.xsl html-nochunks spec-txt.xml

spec.utf8:	spec-txt.html Tidytxt
		@grep -iq 'LC_CTYPE=.*utf-\?8' local_params || { \
			echo 'your current locale does not support UTF-8' >&2; \
			false; }
		command -v w3m >/dev/null
		w3m -dump spec-txt.html | ./Tidytxt -utf8 >$@

spec.txt: spec-txt.html Tidytxt
	      command -v w3m >/dev/null
	      LC_ALL=C w3m -dump spec-txt.html | ./Tidytxt >$@
	      ./SanityTestText spec.txt


# I have not found a way of making docbook2texi write its output anywhere
# other than the file name that it makes up. The --to-stdout option does not
# work.

spec.info:    spec-info.xml
	      docbook2texi spec-info.xml
	      ./TidyInfo <the_exim_mta.texi >spec.texinfo
	      /bin/rm -rf the_exim_mta.texi
	      makeinfo -o spec.info --no-split spec.texinfo

########################################################################


################################ TEST ##################################

# These targets (similar to the above)  are for running little tests.

test.xml:     test.xfpt
	      xfpt test.xfpt

test-pr.xml:  test.xml Pre-xml
	      ./Pre-xml <test.xml >test-pr.xml

test-html.xml: test.xml Pre-xml
	      ./Pre-xml -html -oneindex <test.xml >test-html.xml

test-txt.xml: test.xml Pre-xml
	      ./Pre-xml -ascii -html -noindex -quoteinfo \
		<test.xml >test-txt.xml

test-info.xml: test.xml Pre-xml
	      ./Pre-xml -ascii -html -noindex <test.xml >test-info.xml

test.fo:      test-pr.xml MyStyle-spec-fo.xsl MyStyle-fo.xsl MyStyle.xsl \
                MyTitleStyle.xsl
	      /bin/rm -rf test.fo test-pr.fo
	      xmlto -x MyStyle-spec-fo.xsl fo test-pr.xml
	      /bin/mv -f test-pr.fo test.fo

###
### PS/PDF generation using fop
###

# Do not use pdf2ps from the PDF version; better PS is generated directly.

fop-test.ps:  test.fo
	      fop test.fo -ps test-tmp.ps
	      mv test-tmp.ps test.ps

# Do not use ps2pdf from the PS version; better PDF is generated directly. It
# contains cross links etc.

fop-test.pdf: test.fo
	      fop test.fo -pdf test-tmp.pdf
	      mv test-tmp.pdf test.pdf

###
### PS/PDF generation using SDoP
###

sdop-test.ps:  test-pr.xml
	       sdop -o test.ps test-pr.xml

sdop-test.pdf: test.ps
	       ps2pdf test.ps test.pdf

###
### PS/PDF default setting
###

test.ps:  sdop-test.ps

test.pdf: sdop-test.pdf

###
###


test.txt:     test-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                MyStyle.xsl
	      /bin/rm -rf test-txt.html
	      xmlto -x MyStyle-txt-html.xsl html-nochunks test-txt.xml
	      command -v w3m >/dev/null
	      w3m -dump test-txt.html | Tidytxt >test.txt

# I have not found a way of making docbook2texi write its output anywhere
# other than the file name that it makes up. The --to-stdout option does not
# work.

test.info:    test-info.xml
	      docbook2texi test-info.xml
	      ./TidyInfo <short_title.texi >test.texinfo
	      /bin/rm -rf short_title.texi
	      makeinfo -o test.info test.texinfo

########################################################################


############################## OS FIXUP ################################

# Yes, we've advanced so far in text processing that we now have to
# hardcode in complete paths and so become dependent upon exactly where
# files were installed for xsl:import.  Which of course varies by OS.

os-fixup:
	./OS-Fixups

########################################################################


################################ CLEAN #################################

clean:; /bin/rm -rf exim.8 \
	      filter*.xml spec*.xml test*.xml \
	      *.fo *.pdf *.ps \
	      filter*.html spec*.html test*.html \
	      filter*.txt spec*.txt test*.txt \
	      *.info* *.texinfo *.texi

########################################################################

=== debian/changelog ===
eximdoc4 (4.93.0.3-1) unstable; urgency=medium

  * New upstream release.
    + 0015_accept_three_parts_revision.diff: Accept major.minor.revision.fixes
      version number.
    + Unfuzz 0010-fixbrokenlinks.diff.
  * Use debhelper 12 compat level.
  * Shorten debian/rules by two lines, use --builddirectory option.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2019 08:32:55 +0100

=== debian/control ===
Source: eximdoc4
Section: doc
Priority: optional
Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
 Andreas Metzler <ametzler@debian.org>
Build-Depends: texinfo, debhelper-compat (= 12), xfpt, docbook2x,
 libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
 libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
 docbook-xml, docbook-xsl
Homepage: https://www.exim.org/
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4

Package: exim4-doc-info
Depends: ${misc:Depends}
Replaces: eximdoc4-info
Architecture: all
Description: documentation for the Exim MTA (v4) in info format
 Contains specification and filtering documentation in info format.
 .
 The Debian exim4 packages have their own web page,
 http://pkg-exim4.alioth.debian.org/. There is also a FAQ list. Local
 information about the way the Debian packages can be configured is
 can be found in /usr/share/doc/exim4-base/README.Debian.gz. This file
 has also information about the way the Debian binary packages are
 built. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
 .
 exim is a drop-in replacement for sendmail/mailq/rsmtp.

Package: exim4-doc-html
Depends: ${misc:Depends}
Replaces: eximdoc4-html
Architecture: all
Description: documentation for the Exim MTA (v4) in html format
 Contains specification and filtering documentation in HTML format.
 .
 The Debian exim4 packages have their own web page,
 http://pkg-exim4.alioth.debian.org/. There is also a FAQ list. Local
 information about the way the Debian packages can be configured is
 can be found in /usr/share/doc/exim4-base/README.Debian.gz. This file
 has also information about the way the Debian binary packages are
 built. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
 .
 exim is a drop-in replacement for sendmail/mailq/rsmtp.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://downloads.exim.org/exim4/exim-html-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## eximdoc4 4.94

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # Make file for Exim documentation from xfpt source.
+# Copyright (c) The Exim Maintainers 2020
+export LC_ALL=C
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
 	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'html', 'txt', or 'info'."

=== debian/changelog ===
eximdoc4 (4.94-1) unstable; urgency=low

  * New upstream version (4.94 + fixes up to
    0e8319c3edebfec2158fbaa4898af27cb3225c99)
    + Refresh 0001-Make-docbook2texi-executable-name-configurable.patch,
      0003-Set-info-filename.patch.
    + Drop 0015_accept_three_parts_revision.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jun 2020 10:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
 Homepage: https://www.exim.org/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4

## eximdoc4 4.94.2

=== debian/changelog ===
eximdoc4 (4.94.2-1) unstable; urgency=medium

  * New upstream security release, based on +fixes branch.
    + Drop 0000_fixes_2020-12-23.diff.
  * 0000-update-doc.patch: Add documentation for allow_insecure_tainted_data
    option.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 May 2021 17:56:27 +0200

eximdoc4 (4.94-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + exim4-doc-html, exim4-doc-info: Add Multi-Arch: foreign.

  [ Andreas Metzler ]
  * 0000_fixes_2020-12-23.diff: Update to
    exim-4.94+fixes/2020-12-23/f8f129d658e8b2e25714b09737c47623ebf2ed2f.
  * Use watchfile v4 standard.
  * Use dh v13 mode.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jan 2021 08:50:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
  Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper-compat (= 12), xfpt, docbook2x,
+Build-Depends: texinfo, debhelper-compat (= 13), xfpt, docbook2x,
  libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
 Homepage: https://www.exim.org/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
@@ -18,6 +18,7 @@
 Depends: ${misc:Depends}
 Replaces: eximdoc4-info
 Architecture: all
+Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in info format
  Contains specification and filtering documentation in info format.
  .
@@ -39,6 +40,7 @@
 Depends: ${misc:Depends}
 Replaces: eximdoc4-html
 Architecture: all
+Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in html format
  Contains specification and filtering documentation in HTML format.
  .

## eximdoc4 4.96

=== debian/changelog ===
eximdoc4 (4.96-1) unstable; urgency=medium

  * New upstream version.
    + Drop 75*.patch.
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jul 2022 13:36:52 +0200

eximdoc4 (4.95-1) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * New upstream version.
    + Drop 0000-update-doc.patch
    + Unfuzz patches.
  * Update exiqgrep docs.
    75_01-Utilities-fix-exiqgrep-perl-syntax-add-testcases.-Bu.patch
    75_02-Docs-markup-syntax.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Apr 2022 20:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,32 @@
 Section: doc
 Priority: optional
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
-Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
- Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper-compat (= 13), xfpt, docbook2x,
- libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
- libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
- docbook-xml, docbook-xsl
+Uploaders:
+ Marc Haber <mh+debian-packages@zugschlus.de>,
+ Andreas Metzler <ametzler@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ docbook-xml,
+ docbook-xsl,
+ docbook2x,
+ libcss-minifier-xs-perl,
+ libfile-slurp-perl,
+ libjavascript-minifier-xs-perl,
+ libxml-libxml-perl,
+ libxml-libxslt-perl,
+ texinfo,
+ xfpt,
 Homepage: https://www.exim.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
 
 Package: exim4-doc-info
-Depends: ${misc:Depends}
-Replaces: eximdoc4-info
+Depends:
+ ${misc:Depends},
+Replaces:
+ eximdoc4-info,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in info format
@@ -37,8 +48,10 @@
  exim is a drop-in replacement for sendmail/mailq/rsmtp.
 
 Package: exim4-doc-html
-Depends: ${misc:Depends}
-Replaces: eximdoc4-html
+Depends:
+ ${misc:Depends},
+Replaces:
+ eximdoc4-html,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in html format

## eximdoc4 4.97~RC2

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # Make file for Exim documentation from xfpt source.
-# Copyright (c) The Exim Maintainers 2020
+# Copyright (c) The Exim Maintainers 2020 - 2021
 export LC_ALL=C
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
-	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'html', 'txt', or 'info'."
+	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'txt', or 'info'."
 	      @echo "** One other possible targets 'exim.8', 'spec.utf8'".
 	      exit 1
 
+# html used to be supported, but is not here since 50023e0551 (2010).
+# The website build script seems to handle it.
 
 ############################# EVERYTHING ###############################
 #

=== debian/changelog ===
eximdoc4 (4.97~RC2-1) unstable; urgency=medium

  * Drop ancient (2003) unversioned Replaces.
  * New upstream version.
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Oct 2023 13:39:40 +0200

## eximdoc4 4.98

=== debian/changelog ===
eximdoc4 (4.98-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jul 2024 13:48:25 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  texinfo,
  xfpt,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
@@ -26,8 +26,6 @@
 Package: exim4-doc-info
 Depends:
  ${misc:Depends},
-Replaces:
- eximdoc4-info,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in info format
@@ -50,8 +48,6 @@
 Package: exim4-doc-html
 Depends:
  ${misc:Depends},
-Replaces:
- eximdoc4-html,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in html format

## eximdoc4 4.99

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,6 +1,15 @@
 # Make file for Exim documentation from xfpt source.
-# Copyright (c) The Exim Maintainers 2020 - 2021
+# Copyright (c) The Exim Maintainers 2020 - 2025
 export LC_ALL=C
+
+# Original
+DOCBOOK2TEXI=docbook2texi
+
+# Fedora
+DOCBOOK2TEXI_F=db2x_docbook2texi --encoding=UTF-8
+
+
+
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
 	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'txt', or 'info'."
@@ -14,11 +23,10 @@
 #
 # Generate all the documentation files...
 #
-## removed info files as I cannot generate them -  spec.info filter.info
 ## removed html files as superseded by new website code
-everything:		spec.pdf 	spec.ps  	spec.txt \
-				filter.pdf 	filter.ps filter.txt \
-				exim.8
+everything:	spec.pdf spec.ps spec.txt spec.info \
+		filter.pdf filter.ps filter.txt filter.info \
+		exim.8
 
 ############################## MAN PAGE ################################
 
@@ -109,7 +117,9 @@
 # work.
 
 filter.info:  filter-info.xml
-	      docbook2texi filter-info.xml
+	      [ -f /etc/redhat-release ] \
+		      && $(DOCBOOK2TEXI_F) filter-info.xml \
+		      || $(DOCBOOK2TEXI) filter-info.xml
 	      perl -ne 's/conceptindex/cindex/;s/optionindex/findex/;print;' \
 		<exim_filtering.texi | ./Tidytxt >filter.texinfo
 	      /bin/rm -rf exim_filtering.texi
@@ -200,7 +210,9 @@
 # work.
 
 spec.info:    spec-info.xml
-	      docbook2texi spec-info.xml
+	      [ -f /etc/redhat-release ] \
+		      && $(DOCBOOK2TEXI_F) spec-info.xml \
+		      || $(DOCBOOK2TEXI) spec-info.xml
 	      ./TidyInfo <the_exim_mta.texi >spec.texinfo
 	      /bin/rm -rf the_exim_mta.texi
 	      makeinfo -o spec.info --no-split spec.texinfo
@@ -285,7 +297,7 @@
 # work.
 
 test.info:    test-info.xml
-	      docbook2texi test-info.xml
+	      $(DOCBOOK2TEXI) test-info.xml
 	      ./TidyInfo <short_title.texi >test.texinfo
 	      /bin/rm -rf short_title.texi
 	      makeinfo -o test.info test.texinfo

=== debian/changelog ===
eximdoc4 (4.99-1) unstable; urgency=medium

  * New upstream version.
    + Update/unfuzz patches.
  * Drop Rules-Requires-Root: no

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Nov 2025 13:56:47 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
  texinfo,
  xfpt,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export EXIM_VER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/~.*//g')

override_dh_auto_build:
	cp -a doc-docbook build-tree

	cd build-tree && \
		$(MAKE) DOCBOOK2TEXI=docbook2x-texi os-fixup && \
		$(MAKE) DOCBOOK2TEXI="docbook2x-texi" spec.xml filter.xml && \
		$(MAKE) DOCBOOK2TEXI="docbook2x-texi --encoding=UTF-8" \
			spec.info filter.info
	mkdir build-tree/html
	cd build-tree && \
		$(CURDIR)/website/script/gen.pl --verbose \
		--spec $(CURDIR)/build-tree/spec.xml \
		--filter $(CURDIR)/build-tree/filter.xml \
		--latest $(EXIM_VER) --tmpl $(CURDIR)/website/templates \
		--docroot $(CURDIR)/build-tree/html
	cd build-tree/html/exim-html-4*/doc/html/spec_html/ && \
		find -name 'ch??.html' -or -name 'filter_ch??.html' | \
		while read i ; do s=`readlink "$$i" | sed -e 's:.*/::'` ; \
		rm "$$i" ; ln -vs "$$s" "$$i" ; done
	find build-tree/html/exim-html-4*/doc/html/spec_html/ -type f \
		-name '*.html' -print0 | xargs -r0 \
		sed -i -e 's:href="[^"]*/\([^"]*\.css"\):href="\1:g' \
		-e 's:img src="\.[^"]*/\([^"]*\.png\):img src="\1:g'

%:
	dh $@ --builddirectory=build-tree

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://downloads.exim.org/exim4/exim-html-(\d.*)@ARCHIVE_EXT@
